std::__profile::forward_list< _Tp, _Alloc > Class Template Reference

`#include <forward_list>`

Inherits forward_list< _Tp, std::allocator< _Tp > >.

## Public Types

typedef _Base::const_iterator | const_iterator
typedef _Base::size_type | size_type

## Public Member Functions

template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>
| forward_list (_InputIterator __first, _InputIterator __last, const _Alloc &__al=_Alloc())
| forward_list (const _Alloc &__al) noexcept
| forward_list (const forward_list &)=default
| forward_list (const forward_list &__list, const _Alloc &__al)
| forward_list (forward_list &&)=default
| forward_list (forward_list &&__list, const _Alloc &__al)
| forward_list (size_type __n, const _Alloc &__al=_Alloc())
| forward_list (size_type __n, const _Tp &__value, const _Alloc &__al=_Alloc())
| forward_list (std::initializer_list< _Tp > __il, const _Alloc &__al=_Alloc())
const _Base & | _M_base () const noexcept
_Base & | _M_base () noexcept
void | merge (forward_list &&__list)
template<typename _Comp >
void | merge (forward_list &&__list, _Comp __comp)
void | merge (forward_list &__list)
template<typename _Comp >
void | merge (forward_list &__list, _Comp __comp)
forward_list & | operator= (const forward_list &)=default
forward_list & | operator= (forward_list &&)=default
forward_list & | operator= (std::initializer_list< _Tp > __il)
void | splice_after (const_iterator __pos, forward_list &&__fl)
void | splice_after (const_iterator __pos, forward_list &&__list, const_iterator __before, const_iterator __last)
void | splice_after (const_iterator __pos, forward_list &&__list, const_iterator __i)
void | splice_after (const_iterator __pos, forward_list &__list)
void | splice_after (const_iterator __pos, forward_list &__list, const_iterator __before, const_iterator __last)
void | splice_after (const_iterator __pos, forward_list &__list, const_iterator __i)
void | swap (forward_list &__fl) noexcept(noexcept(declval< _Base & >().swap(__fl)))

## Detailed Description

template<typename _Tp, typename _Alloc = std::allocator<_Tp>>
class std::__profile::forward_list< _Tp, _Alloc >

Class std::forward_list wrapper with performance instrumentation.

Definition at line 44 of file profile/forward_list.

## Member Typedef Documentation

## const_iterator

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

typedef _Base::const_iterator std::__profile::forward_list< _Tp, _Alloc >::const_iterator

Definition at line 51 of file profile/forward_list.

## size_type

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

typedef _Base::size_type std::__profile::forward_list< _Tp, _Alloc >::size_type

Definition at line 50 of file profile/forward_list.

## Constructor & Destructor Documentation

## forward_list() [1/7]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

std::__profile::forward_list< _Tp, _Alloc >::forward_list | ( | const _Alloc & | __al | ) |

inline explicit noexcept

Definition at line 58 of file profile/forward_list.

## forward_list() [2/7]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

std::__profile::forward_list< _Tp, _Alloc >::forward_list | ( | const forward_list< _Tp, _Alloc > & | __list,
|  | const _Alloc & | __al
| ) |  |

inline

Definition at line 61 of file profile/forward_list.

## forward_list() [3/7]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

std::__profile::forward_list< _Tp, _Alloc >::forward_list | ( | forward_list< _Tp, _Alloc > && | __list,
|  | const _Alloc & | __al
| ) |  |

inline

Definition at line 65 of file profile/forward_list.

## forward_list() [4/7]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

std::__profile::forward_list< _Tp, _Alloc >::forward_list | ( | size_type | __n,
|  | const _Alloc & | __al = `_Alloc()`
| ) |  |

inline explicit

Definition at line 70 of file profile/forward_list.

## forward_list() [5/7]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

std::__profile::forward_list< _Tp, _Alloc >::forward_list | ( | size_type | __n,
|  | const _Tp & | __value,
|  | const _Alloc & | __al = `_Alloc()`
| ) |  |

inline

Definition at line 74 of file profile/forward_list.

## forward_list() [6/7]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>

std::__profile::forward_list< _Tp, _Alloc >::forward_list | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | const _Alloc & | __al = `_Alloc()`
| ) |  |

inline

Definition at line 81 of file profile/forward_list.

## forward_list() [7/7]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

std::__profile::forward_list< _Tp, _Alloc >::forward_list | ( | std::initializer_list< _Tp > | __il,
|  | const _Alloc & | __al = `_Alloc()`
| ) |  |

inline

Definition at line 89 of file profile/forward_list.

## Member Function Documentation

## _M_base() [1/2]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

const _Base & std::__profile::forward_list< _Tp, _Alloc >::_M_base | ( |  | ) | const

inline noexcept

Definition at line 164 of file profile/forward_list.

## _M_base() [2/2]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

_Base & std::__profile::forward_list< _Tp, _Alloc >::_M_base | ( |  | ) |

inline noexcept

Definition at line 161 of file profile/forward_list.

## merge() [1/4]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

void std::__profile::forward_list< _Tp, _Alloc >::merge | ( | forward_list< _Tp, _Alloc > && | __list | ) |

inline

Definition at line 143 of file profile/forward_list.

## merge() [2/4]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>
template<typename _Comp >

void std::__profile::forward_list< _Tp, _Alloc >::merge | ( | forward_list< _Tp, _Alloc > && | __list,
|  | _Comp | __comp
| ) |  |

inline

Definition at line 152 of file profile/forward_list.

## merge() [3/4]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

void std::__profile::forward_list< _Tp, _Alloc >::merge | ( | forward_list< _Tp, _Alloc > & | __list | ) |

inline

Definition at line 147 of file profile/forward_list.

## merge() [4/4]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>
template<typename _Comp >

void std::__profile::forward_list< _Tp, _Alloc >::merge | ( | forward_list< _Tp, _Alloc > & | __list,
|  | _Comp | __comp
| ) |  |

inline

Definition at line 157 of file profile/forward_list.

## operator=()

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

forward_list & std::__profile::forward_list< _Tp, _Alloc >::operator= | ( | std::initializer_list< _Tp > | __il | ) |

inline

Definition at line 103 of file profile/forward_list.

## splice_after() [1/6]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

void std::__profile::forward_list< _Tp, _Alloc >::splice_after | ( | const_iterator | __pos,
|  | forward_list< _Tp, _Alloc > && | __fl
| ) |  |

inline

Definition at line 115 of file profile/forward_list.

## splice_after() [2/6]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

void std::__profile::forward_list< _Tp, _Alloc >::splice_after | ( | const_iterator | __pos,
|  | forward_list< _Tp, _Alloc > && | __list,
|  | const_iterator | __before,
|  | const_iterator | __last
| ) |  |

inline

Definition at line 133 of file profile/forward_list.

## splice_after() [3/6]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

void std::__profile::forward_list< _Tp, _Alloc >::splice_after | ( | const_iterator | __pos,
|  | forward_list< _Tp, _Alloc > && | __list,
|  | const_iterator | __i
| ) |  |

inline

Definition at line 123 of file profile/forward_list.

## splice_after() [4/6]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

void std::__profile::forward_list< _Tp, _Alloc >::splice_after | ( | const_iterator | __pos,
|  | forward_list< _Tp, _Alloc > & | __list
| ) |  |

inline

Definition at line 119 of file profile/forward_list.

## splice_after() [5/6]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

void std::__profile::forward_list< _Tp, _Alloc >::splice_after | ( | const_iterator | __pos,
|  | forward_list< _Tp, _Alloc > & | __list,
|  | const_iterator | __before,
|  | const_iterator | __last
| ) |  |

inline

Definition at line 138 of file profile/forward_list.

## splice_after() [6/6]

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

void std::__profile::forward_list< _Tp, _Alloc >::splice_after | ( | const_iterator | __pos,
|  | forward_list< _Tp, _Alloc > & | __list,
|  | const_iterator | __i
| ) |  |

inline

Definition at line 128 of file profile/forward_list.

## swap()

template<typename _Tp , typename _Alloc = std::allocator<_Tp>>

void std::__profile::forward_list< _Tp, _Alloc >::swap | ( | forward_list< _Tp, _Alloc > & | __fl | ) |

inline noexcept

Definition at line 110 of file profile/forward_list.

The documentation for this class was generated from the following file:

- profile/forward_list